summaryrefslogtreecommitdiff
path: root/ruby.sh
diff options
context:
space:
mode:
authorAndreas Maunz <andreas@maunz.de>2011-04-01 14:03:51 +0200
committerAndreas Maunz <andreas@maunz.de>2011-04-01 14:03:51 +0200
commitde9c1794db7419da642398ac41975a282ca92dd1 (patch)
tree68d1306fe506559eb44b103ec88e86ab357fcd33 /ruby.sh
parent0b0dafd700dce8ab635038dac68255be1897eb04 (diff)
all
Diffstat (limited to 'ruby.sh')
-rwxr-xr-xruby.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/ruby.sh b/ruby.sh
index cf43b5c..9d53662 100755
--- a/ruby.sh
+++ b/ruby.sh
@@ -42,8 +42,10 @@ fi
if [ ! $RUBY_DONE ]; then
cd /tmp
URI="http://rubyenterpriseedition.googlecode.com/files/$RUBY_VER.tar.gz"
- cmd="$WGET $URI" && run_cmd "$cmd" "Download"
- cmd="tar xzf $RUBY_VER.tar.gz" && run_cmd "$cmd" "Unpack"
+ if ! [ -d "/tmp/$RUBY_VER" ]; then
+ cmd="$WGET $URI" && run_cmd "$cmd" "Download"
+ cmd="tar xzf $RUBY_VER.tar.gz" && run_cmd "$cmd" "Unpack"
+ fi
cmd="sh /tmp/$RUBY_VER/installer --dont-install-useful-gems --no-dev-docs --auto=$RUBY_DEST" && run_cmd "$cmd" "Install"
fi